Name: python-module-pygame
Version: 1.6.2
Release: alt2

Summary: A Python module for interfacing with the SDL multimedia library
Summary(ru_RU.KOI8-R):   Python     SDL

Group: Development/Python
License: LGPL
Url: http://pygame.seul.org

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %url/pygame-%version.tar.bz2

%setup_python_module pygame
%define python_includedir %_includedir/python%__python_version

Provides: python-pygame, %modulename
Obsoletes: %modulename

Requires: libSDL >= 1.2.7

# manually removed: eric
# Automatically added by buildreq on Sun Mar 20 2005
BuildRequires: libSDL-devel libSDL_image-devel libSDL_mixer-devel libSDL_ttf-devel libsmpeg-devel python-base python-dev python-module-Numeric-devel python-modules-encodings xorg-x11-devel

%description
pygame is a Python wrapper module for the SDL multimedia library, written by
Pete Shinners.  It contains python functions and classes that will allow you
to use SDL's support for playing cdroms, audio and video output, and keyboard,
mouse and joystick input. pygame also includes support for the Numerical
Python extension. pygame is the successor to the pySDL wrapper project, written
by Mark Baker.

Install %name if you would like to write or play SDL games written in the
python language.

%description -l ru_RU.KOI8-R
pygame -    Python, 
    SDL (Simple
DirectMedia Layer),     
, ,       
  .

%package devel
Summary: Pygame development headers
Summary(ru_RU.KOI8-R):    ,  pygame
Group: Development/Python
Requires: %name = %version-%release

%description devel
pygame is a Python wrapper module for the SDL multimedia library, written by
Pete Shinners.  It contains python functions and classes that will allow you
to use SDL's support for playing cdroms, audio and video output, and keyboard,
mouse and joystick input. pygame also includes support for Numerical Python
extension. pygame is the successor to the pySDL wrapper project, written by
Mark Baker.

Install %name-devel if you need the API documentation and example programs.

%description devel -l ru_RU.KOI8-R
   ,    ,
  pygame.

%package doc
Summary: Pygame documentation and example programs
Group: Development/Python
Requires: %name = %version-%release

%description doc
pygame is a Python  wrapper  module  for  the  SDL  multimedia  library,
written by Pete Shinners. It contains python functions and classes  that
will allow you to use SDL's support for playing cdroms, audio and  video
output, and keyboard, mouse and joystick  input.  pygame  also  includes
support for Numerical Python extension. pygame is the successor  to  the
pySDL wrapper project, written by Mark Baker.

Install %name-doc  if  you  need  the  API  documentation  and  example
programs.

%prep
%setup -q -n %modulename-%version
%__rm -f docs/LGPL

# remove for unliked dependences
%__rm -f lib/macosx.py

%build
export LOCALBASE=%_prefix
%__python config.py
%__python setup.py build

%install
%__python setup.py install --root=%buildroot --record=INSTALLED_FILES

%files -f INSTALLED_FILES
%exclude %python_includedir/%modulename
%python_sitelibdir/pygame

%files devel
%python_includedir/%modulename

%files doc
%doc WHATSNEW install.txt readme.txt docs examples

%changelog
* Sun Mar 20 2005 Vitaly Lipatov <lav@altlinux.ru> 1.6.2-alt2
- rebuild with python 2.4

* Sat Dec 04 2004 Vitaly Lipatov <lav@altlinux.ru> 1.6.2-alt1
- rename spec
- new version

* Fri Jul 02 2004 Vitaly Lipatov <lav@altlinux.ru> 1.6-alt1
- new version
- rename to python-module-pygame
- rewrite spec for python policy accordance

* Sun Jun 02 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.5-alt1
- 1.5
- config.patch removed.

* Sat Feb 2 2002  Yuri N. Sedunov <aris@altlinux.ru> 1.4-alt1
- 1.4
- config patch

* Tue Jan 29 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.3-alt2
- Rebuilt with Python-2.2

* Mon Jan 7 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.3-alt1
- First build for Sisyphus.
